RFR 8198898: Compilation errors in jdk.crypto.mscapi with VS 2017

Weijun Wang weijun.wang at oracle.com
Wed Mar 7 02:10:01 UTC 2018



> On Mar 6, 2018, at 11:46 PM, Xuelei Fan <xuelei.fan at oracle.com> wrote:
> 
> Looks fine to me.
> 
> On 3/6/2018 6:36 AM, Weijun Wang wrote:
>> Please take a review at
>>   http://cr.openjdk.java.net/~weijun/8198898/webrev.00/
>> Two notes:
>> 1. In fact, I am not able to build now because there are other codes not compiling with VS 2017 and they fail before security.cpp is compiled. I just installed VS 2017 locally, extracted the command lines (cl and link) compiling security.cpp when VS 2013 is used, and modified them to run with VS 2017. I can confirm that before this change the warnings in the bug description showed up and they disappeared after the change.
>> 2. The Java_sun_security_mscapi_KeyStore_getKeyLength function seems useless. There is no getKeyLength() method in sun.security.mscapi.KeyStore at all. I looked at the history and it looks like this from the beginning. Maybe I should remove the function?
> I would like to remove unused code.

There are other unused code in security.cpp. I'll fix all in a different bug.

Thanks
Max

> 
> Thanks,
> Xuelei



More information about the security-dev mailing list